Subject: hyperaccumulators

From: [email-masked]
Date: 19 Sep 95 13:25:34 +1000

Help!  There seems to be no standard "text" on accumulators or hyperaccumulator
plant species.  Are there any out there??  Also, is there any current research
in this field?  Any help on the topic would be greatly appreciated :-)